---
title: CSSMathProduct()
slug: Web/API/CSSMathProduct/CSSMathProduct
tags:
  - API
  - CSS Typed Object Model API
  - CSSMathProduct
  - CSSUnparsedValue
  - Constructor
  - Experimental
  - Houdini
  - Reference
---
<div>{{draft}}{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSMathProduct()</code></strong> constructor creates a new {{domxref("CSSMathProduct")}} object which creates a new {{domxref('CSSMathProduct')}} object which multiplies the arguments passed into it. </p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSMathProduct</var> = new CSSMathProduct(<em>args</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>args</dt>
 <dd>A list of values for the {{domxref('CSSMathProduct')}} object to be either a double integer or a {{domxref('CSSNumericValue')}}.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssmathproduct-cssmathproduct','CSSMathProduct()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMathProduct.CSSMathProduct")}}</p>
